QuoteMode (Apache Commons CSV 1.14.1 API)
Description: declaration: package: org.apache.commons.csv, enum: QuoteMode

Package org.apache.commons.csv

# Enum QuoteMode

java.lang.Object
java.lang.Enum<QuoteMode>
org.apache.commons.csv.QuoteMode

All Implemented Interfaces:
  `Serializable`, `Comparable<QuoteMode>`

public enum QuoteMode extends Enum<QuoteMode>
Defines quoting behavior.

See Also:
  - `CSVFormat.Builder.setQuoteMode(QuoteMode)`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Quotes all fields.
  `ALL_NON_NULL`
  Quotes all non-null fields.
  `MINIMAL`
  Quotes fields that contain special characters such as a field delimiter, quote character, or any of the characters in the line separator string.
  `NON_NUMERIC`
  Quotes all non-numeric fields.
  `NONE`
  Never quotes fields.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QuoteMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static QuoteMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final QuoteMode ALL
    Quotes all fields.

  - ### ALL_NON_NULL

    public static final QuoteMode ALL_NON_NULL
    Quotes all non-null fields.

  - ### MINIMAL

    public static final QuoteMode MINIMAL
    Quotes fields that contain special characters such as a field delimiter, quote character, or any of the characters in the line separator string.

  - ### NON_NUMERIC

    public static final QuoteMode NON_NUMERIC
    Quotes all non-numeric fields.

  - ### NONE

    public static final QuoteMode NONE
    Never quotes fields. When the delimiter occurs in data, the printer prefixes it with the escape character. If the escape character is not set, format validation throws an exception.

- ## Method Details

  - ### values

    public static QuoteMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static QuoteMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null